env {
  # You can set engine configuration here
  execution.parallelism = 1
  job.mode = "STREAMING"
  #checkpoint.interval = 5000
  #execution.checkpoint.data-uri = "hdfs://localhost:9000/checkpoint"
}

source {
  # This is a example source plugin **only for test and demonstrate the feature source plugin**
  Kafka {
    result_table_name = "fake"
    parallelism = 1
    topic = "topic_1"
    bootstrap.servers = "maclocal:9092"
    schema = {
      fields {
        name = "string"
        age = "int"
      }
    }
  }
}

transform {
}

sink {
  console {
    source_table_name="fake"
  }
}